Subject: Re: [PATCH RFC net-next] tracing: accelerate tracing filters with BPF

From: Ingo Molnar <[email-masked]>
Date: Wed, 14 May 2014 07:09:58 +0200

* Alexei Starovoitov <[email-masked]> wrote:

> On Tue, May 13, 2014 at 8:17 PM, Steven Rostedt <[email-masked]> wrote:
> > On Tue, 13 May 2014 19:55:11 -0700
> > Alexei Starovoitov <[email-masked]> wrote:
> >
> >> Tracing filters are parsing user supplied character string and constructing
> >> a predicate tree. filter_match_preds() was used to walk nodes of the tree to
> >> simulate matching of boolean expression.
> >>
> >
> > I applied this on top of net-next, from:
> >
> >  git://git.kernel.org/pub/scm/linux/kernel/git/davem/net-next.git
> >  (master branch)
> >
> > and got this compile error:
> 
> Sorry I wasn't clear in the log.
> This patch depends on JIT patches that were posted separately.
> Since this one is RFC, I didn't want to mix them.
> JIT patches:
> http://patchwork.ozlabs.org/patch/348558/
> http://patchwork.ozlabs.org/patch/348559/
> http://patchwork.ozlabs.org/patch/348560/

Might make sense for you to get a korg account and stick such bits 
into Git trees, to ease testing.

Thanks,

	Ingo